/*
 * Copyright (C) 2002-2004 Red Hat Inc. All Rights Reserved.
 *
 * The contents of this file are subject to the CCM Public
 * License (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the
 * License at http://www.redhat.com/licenses/ccmpl.html.
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language
 * governing rights and limitations under the License.
 *
 */
package com.arsdigita.bebop;

import com.arsdigita.bebop.parameters.ParameterModel;
import com.arsdigita.bebop.form.Widget;

/**
 * FormValidationException
 *
 * @author <a href="mailto:rhs@mit.edu">rhs@mit.edu</a>
 * @version $Revision: #6 $ $Date: 2004/04/07 $
 **/

public class FormValidationException extends FormProcessException {

    public final static String versionId = "$Id: //core-platform/dev/src/com/arsdigita/bebop/FormValidationException.java#6 $ by $Author: dennis $, $DateTime: 2004/04/07 16:07:11 $";

    private String m_name = null;

    public FormValidationException(String message) {
        super(message);
    }

    public FormValidationException(String name, String message) {
        super(message);
        m_name = name;
    }

    public FormValidationException(ParameterModel parameter, String message) {
        this(parameter.getName(), message);
    }

    public FormValidationException(Widget widget, String message) {
        this(widget.getParameterModel(), message);
    }

    public FormValidationException(String message, Throwable rootCause) {
        super(message, rootCause);
    }

    public FormValidationException(String name, String message,
                                   Throwable rootCause) {
        super(message, rootCause);
        m_name = name;
    }

    public FormValidationException(ParameterModel parameter, String message,
                                   Throwable rootCause) {
        this(parameter.getName(), message, rootCause);
    }

    public FormValidationException(Widget widget, String message,
                                   Throwable rootCause) {
        this(widget.getParameterModel(), message, rootCause);
    }

    public String getName() {
        return m_name;
    }

}
